Bug 481559 - jumbo frames (> 4064-byte MTU) fail in Xen domU
jumbo frames (> 4064-byte MTU) fail in Xen domU
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Xen Maintainance List
Red Hat Kernel QE team
Depends On:
Blocks: 492570
  Show dependency treegraph
Reported: 2009-01-26 06:26 EST by Matt Bernstein
Modified: 2009-04-16 18:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-04-16 18:45:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Linux Kernel 12580 None None None Never

  None (edit)
Description Matt Bernstein 2009-01-26 06:26:03 EST
With Xen dom0 physical, bridge and vif interface all set to 9000-byte MTUs, I expect to be able to set the domU eth0 MTU to 9000-bytes and enjoy a happy jumbo-frame life.

This works on the old-style Xen kernels (CentOS 5.2 and Fedora 8).

I don't know about F9, but the pv_ops unified F10 kernel will work if I configure the MTU on eth0 <= 4064 bytes, but at >= 4065 bytes large packets seem to be silently dropped somewhere.

"yum clean all; yum upgrade" just stiffs until I lower the MTU.

Only tried on x86_64.
Comment 1 Matt Bernstein 2009-02-20 08:13:53 EST
F9 has the same problem.
Comment 2 Matt Bernstein 2009-04-13 06:45:22 EDT
I noticed that the number changed from 4064 to 4048 (another 32 bytes below 4K), on a domU kernel upgrade / xen dom0 upgrade and it looks like the problem is dom0-specific rather than domU-specific.

It's 4064 bytes for dom0 2.6.18-92.1.18.el5xen / xen-3.0.3-73.

It's 4048 bytes for dom0 2.6.18-92.1.22.el5xen / xen-3.0.3-80.el5.

Both are CentOS 5.2 kernels (5.3 crashes, but that's a different issue, I think); the first xen is a backport from RHEL5.3 beta, the second xen a plain CentOS 5.3.

So, I don't know if this is a hypervisor kernel or Xen bug (or neither, given it only appears to affect pv_ops domU kernels), so I thought I'd change the component to Xen in case it's interesting to different pairs of eyes.
Comment 4 Bill Burns 2009-04-15 07:45:59 EDT
Please let us know if it fails on RHEL 5.3.
Comment 5 Matt Bernstein 2009-04-16 17:57:03 EDT
OK, I can report success on dom0 CentOS 5.3 kernel-xen-2.6.18-128.1.6.el5 / xen-3.0.3-80.el5_3.2 / domU Fedora 10 / 9000-byte frames.

So I still don't know what the bug was, but am happy RHEL5.3 fixes it.

Thanks; as far as I'm concerned you can close this bug.
Comment 6 Bill Burns 2009-04-16 18:45:54 EDT
Thanks for the testing.

Note You need to log in before you can comment on or make changes to this bug.